Bug 19868 - Use Xservers not initscript
Summary: Use Xservers not initscript
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: vnc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-26 15:54 UTC by Tim Waugh
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-26 20:14:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-10-26 15:54:32 UTC
The vncserver initscript is bad:

- if you start it more than once, it starts more than one vncserver
- if you stop it, it stops _all_ vncservers, even ones that it didn't start

I think that a nicer way of doing it would be to add this to
/etc/X11/xdm/Xservers:

# Uncomment the following line to have a VNC server start automatically
# :1 local /usr/bin/Xvnc :1 -localhost

Comment 1 Tim Waugh 2000-11-20 17:08:28 UTC
/etc/sysconfig/vncservers should make this better (in 3.3.3r2-4).


Note You need to log in before you can comment on or make changes to this bug.